aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaciej Mrozowski <reavertm@gentoo.org>2011-11-24 02:36:26 (GMT)
committerMaciej Mrozowski <reavertm@gentoo.org>2011-11-24 02:37:58 (GMT)
commit085abde8e34fbc3d6e48d15d0d274a0276924c96 (patch)
treedaeddaa2ef6be68dfdb886b31e40acddb616fe7b
parent[dev-libs/soprano] Sync live version with latest from portage (diff)
downloadkde-085abde8e34fbc3d6e48d15d0d274a0276924c96.zip
kde-085abde8e34fbc3d6e48d15d0d274a0276924c96.tar.gz
kde-085abde8e34fbc3d6e48d15d0d274a0276924c96.tar.bz2
[eclass/kde4-{base,meta}] Remove target prefix for KDE4 workspace as suggested by Ciprian Ciubotariu in bug 332829.
-rw-r--r--eclass/kde4-base.eclass21
-rw-r--r--eclass/kde4-meta.eclass3
2 files changed, 3 insertions, 21 deletions
diff --git a/eclass/kde4-base.eclass b/eclass/kde4-base.eclass
index 0600665..a43e84e 100644
--- a/eclass/kde4-base.eclass
+++ b/eclass/kde4-base.eclass
@@ -721,27 +721,6 @@ kde4-base_src_prepare() {
load_library_dependencies
fi
- # Replace KDE4Workspace library targets
- find "${S}" -name CMakeLists.txt \
- -exec sed -i -r \
- -e 's/\$\{KDE4WORKSPACE_TASKMANAGER_(LIBRARY|LIBS)\}/taskmanager/g' \
- -e 's/\$\{KDE4WORKSPACE_KWORKSPACE_(LIBRARY|LIBS)\}/kworkspace/g' \
- -e 's/\$\{KDE4WORKSPACE_SOLIDCONTROLIFACES_(LIBRARY|LIBS)\}/solidcontrolifaces/g' \
- -e 's/\$\{KDE4WORKSPACE_SOLIDCONTROL_(LIBRARY|LIBS)\}/solidcontrol/g' \
- -e 's/\$\{KDE4WORKSPACE_PROCESSUI_(LIBRARY|LIBS)\}/processui/g' \
- -e 's/\$\{KDE4WORKSPACE_LSOFUI_(LIBRARY|LIBS)\}/lsofui/g' \
- -e 's/\$\{KDE4WORKSPACE_PLASMACLOCK_(LIBRARY|LIBS)\}/plasmaclock/g' \
- -e 's/\$\{KDE4WORKSPACE_NEPOMUKQUERYCLIENT_(LIBRARY|LIBS)\}/nepomukqueryclient/g' \
- -e 's/\$\{KDE4WORKSPACE_NEPOMUKQUERY_(LIBRARY|LIBS)\}/nepomukquery/g' \
- -e 's/\$\{KDE4WORKSPACE_KSCREENSAVER_(LIBRARY|LIBS)\}/kscreensaver/g' \
- -e 's/\$\{KDE4WORKSPACE_WEATHERION_(LIBRARY|LIBS)\}/weather_ion/g' \
- -e 's/\$\{KDE4WORKSPACE_KWINEFFECTS_(LIBRARY|LIBS)\}/kwineffects/g' \
- -e 's/\$\{KDE4WORKSPACE_KDECORATIONS_(LIBRARY|LIBS)\}/kdecorations/g' \
- -e 's/\$\{KDE4WORKSPACE_KSGRD_(LIBRARY|LIBS)\}/ksgrd/g' \
- -e 's/\$\{KDE4WORKSPACE_KEPHAL_(LIBRARY|LIBS)\}/kephal/g' \
- {} + \
- || die 'failed to replace KDE4Workspace library targets'
-
# Hack for manuals relying on outdated DTD, only outside kde-base/koffice/...
if [[ -z ${KDEBASE} ]]; then
find "${S}" -name "*.docbook" \
diff --git a/eclass/kde4-meta.eclass b/eclass/kde4-meta.eclass
index 08cbfa2..c0279bc 100644
--- a/eclass/kde4-meta.eclass
+++ b/eclass/kde4-meta.eclass
@@ -556,6 +556,9 @@ kde4-meta_change_cmakelists() {
sed -e '/startkde/s/^/#DONOTINSTALL /' \
-i CMakeLists.txt || die "${LINENO}: sed died in the kdebase-startkde collision prevention section"
fi
+ # Remove workspace target prefix in order to get direct linking to workspace libs
+ sed -e '/set(KDE4WORKSPACE_TARGET_PREFIX/s/^/#OVERRIDE /' \
+ -i CMakeLists.txt || die "${LINENO}: sed died in KDE4WORKSPACE_TARGET_PREFIX removal section"
# Strip EXPORT feature section from workspace for KDE4 versions > 4.1.82
if [[ ${PN} != libkworkspace ]]; then
sed -e '/install(FILES ${CMAKE_CURRENT_BINARY_DIR}\/KDE4WorkspaceConfig.cmake/,/^[[:space:]]*FILE KDE4WorkspaceLibraryTargets.cmake )[[:space:]]*^/d' \